%global momorel 1
Summary: HTML pages thumbnailer
Name: gnome-web-photo
Version: 0.10.6
Release: %{momorel}m%{?dist}
License: LGPLv2+
Group: Applications/Internet
URL: http://download.gnome.org/sources/gnome-web-photo/0.10/
Source0: http://download.gnome.org/sources/gnome-web-photo/0.10/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires: libxml2-devel
BuildRequires: gtk3-devel
BuildRequires: webkitgtk3-devel
BuildRequires: libjpeg-devel
BuildRequires: gettext intltool

%description
gnome-web-photo contains a thumbnailer that will be used by GNOME applications,
including the file manager, to generate screenshots of web pages.

%prep
%setup -q

%build
%configure --with-gtk=3.0
%make 

%install
make DESTDIR=%{buildroot} install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS README TODO COPYING.README
%{_bindir}/gnome-web-photo
%{_bindir}/gnome-web-print
%{_bindir}/gnome-web-thumbnail
%{_datadir}/gnome-web-photo
%{_datadir}/thumbnailers/gnome-web-photo.thumbnailer

%changelog
* Thu Nov 20 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.6-1m)
- update to 0.10.6

* Sun Oct 05 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.5-1m)
- import from fedora

